# sippdu.h File Reference

`#include <opal/buildopts.h>`
`#include <ptclib/mime.h>`
`#include <ptclib/url.h>`
`#include <ptclib/http.h>`
`#include <ptclib/pxml.h>`
`#include <ptclib/threadpool.h>`
`#include <opal/transports.h>`
`#include <rtp/rtpconn.h>`

Include dependency graph for sippdu.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | SIPURL
class | SIPURLList
class | SIPMIMEInfo
class | SIPAuthenticator
class | SIP_PDU
class | SIPDialogContext
struct | SIPParameters
class | SIPWorkItem
class | SIPThreadPool
class | SIPTimeoutWorkItem< Target_T >
class | SIPPoolTimer< Target_T >
class | SIPTransactionOwner
class | SIPTransactionBase
class | SIPTransaction
class | SIPResponse
class | SIPInvite
class | SIPAck
class | SIPBye
class | SIPRegister
struct | SIPRegister::Params
| Registrar parameters. More...
class | SIPSubscribe
class | SIPSubscribe::EventPackage
struct | SIPSubscribe::SubscriptionStatus
struct | SIPSubscribe::NotifyCallbackInfo
struct | SIPSubscribe::Params
class | SIPEventPackageHandler
class | SIPNotify
class | SIPPublish
class | SIPRefer
class | SIPReferNotify
class | SIPMessage
struct | SIPMessage::Params
class | SIPOptions
struct | SIPOptions::Params
class | SIPInfo
struct | SIPInfo::Params
class | SIPPing
class | SIPPrack

## Defines

#define | OPAL_PROXY_PARAM "OPAL-proxy"
#define | OPAL_LOCAL_ID_PARAM "OPAL-local-id"
#define | OPAL_INTERFACE_PARAM "OPAL-interface"

## Typedefs

typedef PHTTPClientAuthentication | SIPAuthentication
typedef SIPSubscribe::EventPackage | SIPEventPackage
typedef PFactory< SIPEventPackageHandler, SIPEventPackage > | SIPEventPackageFactory

## Functions

| PQUEUE (SIP_PDU_Queue, SIP_PDU)

## Define Documentation

#define OPAL_INTERFACE_PARAM "OPAL-interface"

#define OPAL_LOCAL_ID_PARAM "OPAL-local-id"

#define OPAL_PROXY_PARAM "OPAL-proxy"

## Typedef Documentation

typedef PHTTPClientAuthentication SIPAuthentication

typedef SIPSubscribe::EventPackage SIPEventPackage

typedef PFactory<SIPEventPackageHandler, SIPEventPackage> SIPEventPackageFactory

## Function Documentation

PQUEUE | ( | SIP_PDU_Queue | ,
|  | SIP_PDU |  |
| ) |  |  |